bonobo-selector-widget
3
LIBBONOBOUI Library

# bonobo-selector-widget

## Synopsis

                        BonoboSelectorWidgetPrivate;
                        BonoboSelectorWidget;
                        BonoboSelectorWidgetClass;
    GtkWidget *         bonobo_selector_widget_new          (void);
    void                bonobo_selector_widget_set_interfaces
                                                            (BonoboSelectorWidget *sel,
                                                             const gchar **interfaces_required);
    gchar *             bonobo_selector_widget_get_id       (BonoboSelectorWidget *sel);
    gchar *             bonobo_selector_widget_get_name     (BonoboSelectorWidget *sel);
    gchar *             bonobo_selector_widget_get_description
                                                            (BonoboSelectorWidget *sel);

## Description

## Details

### BonoboSelectorWidgetPrivate

    typedef struct _BonoboSelectorWidgetPrivate BonoboSelectorWidgetPrivate;

### BonoboSelectorWidget

    typedef struct {
    	GtkVBox parent;

    	BonoboSelectorWidgetPrivate *priv;
    } BonoboSelectorWidget;

### BonoboSelectorWidgetClass

    typedef struct {
    	GtkVBoxClass parent_class;

    	/* Virtual methods */
    	gchar *(* get_id)          (BonoboSelectorWidget *sel);
    	gchar *(* get_name)        (BonoboSelectorWidget *sel);
    	gchar *(* get_description) (BonoboSelectorWidget *sel);
    	void   (* set_interfaces)  (BonoboSelectorWidget *sel,
    				    const gchar         **interfaces);

    	/* User select */
    	void   (* final_select)    (BonoboSelectorWidget *sel);

    	gpointer dummy[2];
    } BonoboSelectorWidgetClass;

### bonobo_selector_widget_new ()

    GtkWidget *         bonobo_selector_widget_new          (void);

Creates a new BonoboSelectorWidget widget, this contains a list and a description pane for each component.

Returns :

  A pointer to the newly-created BonoboSelectorWidget widget.

### bonobo_selector_widget_set_interfaces ()

    void                bonobo_selector_widget_set_interfaces
                                                            (BonoboSelectorWidget *sel,
                                                             const gchar **interfaces_required);

`sel` :

`interfaces_required` :

### bonobo_selector_widget_get_id ()

    gchar *             bonobo_selector_widget_get_id       (BonoboSelectorWidget *sel);

`sel` :

  A BonoboSelectorWidget widget.

Returns :

  A newly-allocated string containing the ID of the currently-selected CORBA server (i.e., the corba server whose name is highlighted in the list). The user of this function is responsible for freeing this. It will give an oaf iid back.

### bonobo_selector_widget_get_name ()

    gchar *             bonobo_selector_widget_get_name     (BonoboSelectorWidget *sel);

`sel` :

  A BonoboSelectorWidget widget.

Returns :

  A newly-allocated string containing the name of the currently-selected CORBA server (i.e., the corba server whose name is highlighted in the list). The user of this function is responsible for freeing this.

### bonobo_selector_widget_get_description ()

    gchar *             bonobo_selector_widget_get_description
                                                            (BonoboSelectorWidget *sel);

`sel` :

  A BonoboSelectorWidget widget.

Returns :

  A newly-allocated string containing the description of the currently-selected CORBA server (i.e., the corba server whose name is highlighted in the list). The user of this function is responsible for freeing this.